Skip to main content

Set Vm Egress Policy

POST /v1/egress/vm/{vm_id}

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
vm_idpathstringYes
X-API-Keyheaderstring | nullNonullable

Request Body

Required: Yes

application/json

Resolved schema:

{
"properties": {
"allow_public_repos": {
"type": "boolean",
"title": "Allow Public Repos",
"default": true
},
"allow_http": {
"type": "boolean",
"title": "Allow Http",
"default": true
},
"allow_https": {
"type": "boolean",
"title": "Allow Https",
"default": true
},
"allowed_domains": {
"items": {
"type": "string"
},
"type": "array",
"title": "Allowed Domains"
},
"allowed_cidrs": {
"items": {
"type": "string"
},
"type": "array",
"title": "Allowed Cidrs"
}
},
"type": "object",
"title": "EgressPolicyRequest"
}

Field details:

FieldTypeRequiredDescriptionConstraints
allow_public_reposbooleanNodefault=true
allow_httpbooleanNodefault=true
allow_httpsbooleanNodefault=true
allowed_domainsarray<string>No
allowed_domains[]stringNo
allowed_cidrsarray<string>No
allowed_cidrs[]stringNo

Responses

200

Successful Response

application/json

Resolved schema:

{}

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo